#include <iostream> 
#include <string>

using namespace std; // пространство имён

int main(){
	string str; // вводимая строка
	char symbol; // искомая буква

	cout << "Input string: " << endl;
	getline(cin, str); // ввод строки

	// проверка на пустоту строки
	if (str.empty()){ // если строка пуста, то
		cout << "String can't be empty" << endl; // вывод сообщения об ошибке
		return 0; // завершение программы
	}

	cout << "Input symbol: " << endl;
	symbol = getchar(); // ввод буквы

	// проверка на пустоту вводимого символа
	if ((symbol == '\n')){ // если символ является переходом на новую строку или пробелом, то
		cout << "symbol can't be empty" << endl; // вывод сообщения об ошибке
		return 0; // завершение программы
	}

	for (int i = 0; i < str.size(); i++){ // цикл на полную строку
		if (str[i] == symbol){ // если буква в строке совпадает с заданной, то
			str[i] = '!'; // заменяем его на восклицательный знак ('!')
		}
	}

	cout << "New stroke: " << endl << str << endl; // вывод новой строки

	return 0; // успешное завершение программы
}